package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.SecurityGroupRule;

import java.util.List;

/**
 * 安全组规则抽象Service层
 *
 * @author weiwei
 */
public interface SecurityGroupRuleService {

    BocloudResult<GridBean<SecurityGroupRule>> list(Pager pager);

    BocloudResult<SecurityGroupRule> create(SecurityGroupRule rule);

    BocloudResult<Void> modify(SecurityGroupRule modifyParams, RequestContext context);

    BocloudResult<String> remove(Long id, RequestContext context);

    BocloudResult<SecurityGroupRule> detail(Long id);

    BocloudResult<String> batchRemove(List<Long> idArray, RequestContext context);

}
